Bug 694155 - RFE: support IPv6 configuration on virtual networks
RFE: support IPv6 configuration on virtual networks
Status: CLOSED CURRENTRELEASE
Product: Virtualization Tools
Classification: Community
Component: virt-manager (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Cole Robinson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-06 11:34 EDT by Laine Stump
Modified: 2013-07-23 15:34 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-23 15:34:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Laine Stump 2011-04-06 11:34:49 EDT
Description of problem:

AS of libvirt-0.8.7, libvirt supports IPv6 on its virtual networks (see Bug 514749). virt-manager should also support this. Basically, each virtual network can now have multiple IP addresses, and each of these addresses can be IPv4 or IPv6. DHCP is not supported for IPv6, but autoconf support is automatic (and requires no config).
Comment 1 Gene Czarcinski 2013-01-29 16:42:20 EST
It is not just that IPv6 is not supported but it cannot handle any network definition that includes IPv6 (with or without DHCPv6).
Comment 2 Cole Robinson 2013-07-23 15:34:43 EDT
Gene added this upstream, closing.

Note You need to log in before you can comment on or make changes to this bug.